Loading...
Searching...
No Matches
pcm_asym.c File Reference
PCM Interface » PCM Plugins

PCM Asymmetrical Plugin Interface. More...

## Functions

int | _snd_pcm_asym_open (snd_pcm_t **pcmp, const char *name, snd_config_t *root, snd_config_t *conf, snd_pcm_stream_t stream, int mode)
| Creates a new asym stream PCM.

## Detailed Description

PCM Asymmetrical Plugin Interface.

Author
  Takashi Iwai tiwai.nosp@m.@sus.nosp@m.e.de

Date
  2003

## Function Documentation

## _snd_pcm_asym_open()

int _snd_pcm_asym_open | ( | snd_pcm_t ** | pcmp,
|  | const char * | name,
|  | snd_config_t * | root,
|  | snd_config_t * | conf,
|  | snd_pcm_stream_t | stream,
|  | int | mode )

Creates a new asym stream PCM.

Parameters

  pcmp | Returns created PCM handle
  name | Name of PCM
  root | Root configuration node
  conf | Configuration node with copy PCM description
  stream | Stream type
  mode | Stream mode

Return values

  zero | on success otherwise a negative error code

Warning
  Using of this function might be dangerous in the sense of compatibility reasons. The prototype might be freely changed in future.